summaryrefslogtreecommitdiff
path: root/bg1/install-patch-intl.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
committerNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
commit4f837e2cef827e6f700c5ae180551510ffedc718 (patch)
tree403525e52860588ed9e9336b2197c26034bfe797 /bg1/install-patch-intl.sh
parent95fa96a6c1d34ba8e53f8e9badd8c0d0c94eff37 (diff)
downloadgemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.tar.bz2
gemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.zip
Work around unshield bug
Basically, if extracting to a directory which was not itself lowercase, unshield would fail. This patch cds to the directory first, to work around the issue. http://sourceforge.net/tracker/?func=detail&aid=2801016&group_id=30550&atid=399601
Diffstat (limited to 'bg1/install-patch-intl.sh')
-rwxr-xr-xbg1/install-patch-intl.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 745ee38..500b675 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -36,7 +36,9 @@ setuptmp
getpatch $patch_url
unzip "${TMPDIR}/${patch_name}" -d "${TMPDIR}" || diesoftly
-unshield -g "$LANGUAGE" -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -g "$LANGUAGE" -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+cd "$TMPDIR" && unshield -g "$LANGUAGE" -d . -L x "${TMPDIR}/data1.cab" || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
cp -R "${TMPDIR}/${LANGUAGE}/"* "$TARGETDIR" || diesoftly